Update prospect pipeline stage
curl --request PATCH \
--url https://hireloam.com/api/v1/sourcing/prospects/{prospectId}/pipeline-stage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pipeline_stage": "contacted"
}
'import requests
url = "https://hireloam.com/api/v1/sourcing/prospects/{prospectId}/pipeline-stage"
payload = { "pipeline_stage": "contacted" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({pipeline_stage: 'contacted'})
};
fetch('https://hireloam.com/api/v1/sourcing/prospects/{prospectId}/pipeline-stage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prospect": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"current_title": "<string>",
"current_company": "<string>",
"linkedin_url": "<string>",
"email": "[email protected]",
"location": "<string>",
"years_experience": 123,
"summary": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "invalid_request",
"message": "job_id is required"
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}{
"error": {
"code": "forbidden",
"message": "Missing required scope: write"
}
}{
"error": {
"code": "not_found",
"message": "Application not found"
}
}{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}Sourcing
Update prospect pipeline stage
Update a shortlisted prospect’s pipeline stage.
PATCH
/
sourcing
/
prospects
/
{prospectId}
/
pipeline-stage
Update prospect pipeline stage
Authorizations
API key from Settings > API Keys
Path Parameters
Body
application/json
Available options:
not_contacted, contacted, interested, not_interested Response
Pipeline stage updated
Show child attributes
Show child attributes
Was this page helpful?
⌘I